import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconTools = (props: IconProps) => {
    return <Icon  id="IconTools" {...props}>
        <path fillRule="evenodd" clipRule="evenodd" d="M13.334 2.49967C11.0328 2.49967 9.16732 4.36515 9.16732 6.66634C9.16732 7.3715 9.34184 8.03348 9.64935 8.61386C9.82067 8.93721 9.761 9.33451 9.50224 9.59326L2.84583 16.2497L3.75065 17.1545L10.4071 10.4981C10.6658 10.2393 11.0631 10.1797 11.3865 10.351C11.9668 10.6585 12.6288 10.833 13.334 10.833C15.6352 10.833 17.5006 8.96752 17.5006 6.66634C17.5006 6.38407 17.4727 6.10872 17.4194 5.84275L15.1732 8.08893C14.8478 8.41437 14.3202 8.41437 13.9947 8.08893L11.9114 6.0056C11.586 5.68016 11.586 5.15252 11.9114 4.82709L14.1576 2.5809C13.8916 2.52764 13.6163 2.49967 13.334 2.49967ZM7.50065 6.66634C7.50065 3.44468 10.1123 0.833008 13.334 0.833008C14.3177 0.833008 15.2469 1.0772 16.0618 1.50898C16.2954 1.63278 16.4565 1.8601 16.4957 2.12157C16.535 2.38304 16.4479 2.64763 16.2609 2.83459L13.6792 5.41634L14.584 6.32116L17.1657 3.73942C17.3527 3.55245 17.6173 3.46531 17.8788 3.50458C18.1402 3.54386 18.3676 3.70489 18.4913 3.93853C18.9231 4.7534 19.1673 5.68258 19.1673 6.66634C19.1673 9.88799 16.5556 12.4997 13.334 12.4997C12.5725 12.4997 11.8436 12.3533 11.1752 12.0869L4.33991 18.9223C4.01447 19.2477 3.48683 19.2477 3.1614 18.9223L1.07806 16.8389C0.752625 16.5135 0.752625 15.9859 1.07806 15.6604L7.91339 8.82509C7.647 8.15668 7.50065 7.42786 7.50065 6.66634Z" />
    </Icon>;
};

export default IconTools;
